Package org.eclipse.net4j.signal

# Class SignalProtocol.InvalidSignalIDException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SignalProtocol<INFRA_STRUCTURE>

public static final class SignalProtocol.InvalidSignalIDException extends IllegalArgumentException

Since:
  4.10
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidSignalIDException(short signalID)`

## Method Summary

Modifier and Type
Method
Description
`short`
`getSignalID()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidSignalIDException

public InvalidSignalIDException(short signalID)

## Method Details

### getSignalID

public short getSignalID()